Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.metadata
Interface XmlRpcMetaDataHandler

All Superinterfaces:
  XmlRpcHandler

All Known Implementing Classes:
  ReflectiveXmlRpcMetaDataHandler

    public interface XmlRpcMetaDataHandler

extends XmlRpcHandler

A metadata handler is able to provide metadata about itself, as specified here.

See Also:
  Specification of XML-RPC introspection

Method Summary
`java.lang.String` | `getMethodHelp()` This method may be used to implement `XmlRpcListableHandlerMapping.getMethodHelp(String)`.
`java.lang.String[][]` | `getSignatures()` This method may be used to implement `XmlRpcListableHandlerMapping.getMethodSignature(String)`.

Methods inherited from interface org.apache.xmlrpc.XmlRpcHandler
`execute`

Method Detail

### getSignatures

    java.lang.String[][] getSignatures()
                                       throws XmlRpcException

  This method may be used to implement `XmlRpcListableHandlerMapping.getMethodSignature(String)`. Typically, the handler mapping will pick up the matching handler, invoke its method `getSignatures()`, and return the result.

  Method handlers, which are created by the `AbstractReflectiveHandlerMapping`, will typically return a single signature only.

  Returns:
    An array of arrays. Any element in the outer array is a signature. The elements in the inner array are being concatenated with commas. The inner arrays first element is the return type, followed by the parameter types.
  Throws:
    `XmlRpcException`

### getMethodHelp

    java.lang.String getMethodHelp()
                                   throws XmlRpcException

  This method may be used to implement `XmlRpcListableHandlerMapping.getMethodHelp(String)`. Typically, the handler mapping will pick up the matching handler, invoke its method `getMethodHelp()`, and return the result.

  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.